Bug 823630 - cifs: simplify open code
cifs: simplify open code
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Sachin Prabhu
Jian Li
:
Depends On:
Blocks: 798385
  Show dependency treegraph
 
Reported: 2012-05-21 14:12 EDT by Sachin Prabhu
Modified: 2014-03-03 19:08 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-298.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 00:56:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2012-05-21 14:12:24 EDT
Backport of the following patches


--
commit eeb910a6d46103594eb63e6eba1aeb02022368a4
Author: Pavel Shilovsky <piastryyy@gmail.com>
Date:   Thu Nov 25 15:12:39 2010 +0300
  
CIFS: Simplify non-posix open stuff (try #2)
    
Delete cifs_open_inode_helper and move non-posix open related things
to cifs_nt_open function.
    
Reviewed-by: Jeff Layton <jlayton@redhat.com>
Signed-off-by: Pavel Shilovsky <piastryyy@gmail.com>
Signed-off-by: Steve French <sfrench@us.ibm.com>
--

--
commit 7e12eddb73d4f288b0339ee13832a34d6bc4fd90
Author: Pavel Shilovsky <piastryyy@gmail.com>
Date:   Thu Nov 25 17:20:20 2010 +0300
    
CIFS: Simplify cifs_open code
    
Make the code more general for use in posix and non-posix open.
    
Reviewed-by: Jeff Layton <jlayton@redhat.com>
Signed-off-by: Pavel Shilovsky <piastryyy@gmail.com>
Signed-off-by: Steve French <sfrench@us.ibm.com>
--


--
commit d44a9fe2c8af3fee8edb203e9b11e507851c50fa
Author: Jeff Layton <jlayton@redhat.com>
Date:   Fri Jan 7 11:30:29 2011 -0500
    
cifs: switch cifs_open and cifs_create to use CIFSSMBUnixSetFileInfo
    
We call CIFSSMBUnixSetPathInfo in these functions, but we have a
filehandle since an open was just done. Switch these functions to
use CIFSSMBUnixSetFileInfo instead.
    
In practice, these codepaths are only used if posix opens are broken.
    
Signed-off-by: Jeff Layton <jlayton@redhat.com>
Signed-off-by: Steve French <sfrench@us.ibm.com>
--
Comment 3 RHEL Product and Program Management 2012-07-27 12:21:22 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 4 Jian Li 2012-08-01 02:23:29 EDT
regression test to be done.
Comment 5 Jarod Wilson 2012-08-16 17:22:05 EDT
Patch(es) available on kernel-2.6.32-298.el6
Comment 8 Jian Li 2013-01-28 06:00:08 EST
Sanityonly test is done.
Comment 10 errata-xmlrpc 2013-02-21 00:56:37 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.